Ftdi::Context::Private(3)

NAME
Ftdi::Context::Private -

SYNOPSIS

  Public Member Functions
Private ()
~Private ()

  Public Attributes
bool open
struct ftdi_context * ftdi
struct libusb_device * dev
std::string vendor
std::string description
std::string serial

Detailed Description

Definition at line 37 of file ftdi.cpp.

Constructor & Destructor Documentation

  Ftdi::Context::Private::Private () [inline]

Definition at line 40 of file ftdi.cpp.

References ftdi, and ftdi_new().

  Ftdi::Context::Private::~Private () [inline]

Definition at line 46 of file ftdi.cpp.

References ftdi, ftdi_free(), ftdi_usb_close(), and open.

Member Data Documentation

  bool Ftdi::Context::Private::open

Definition at line 54 of file ftdi.cpp.

Referenced by ~Private().

  struct ftdi_context* Ftdi::Context::Private::ftdi

Definition at line 56 of file ftdi.cpp.

Referenced by Private(), and ~Private().

  struct libusb_device* Ftdi::Context::Private::dev

Definition at line 57 of file ftdi.cpp.

  std::string Ftdi::Context::Private::vendor

Definition at line 59 of file ftdi.cpp.

  std::string Ftdi::Context::Private::description

Definition at line 60 of file ftdi.cpp.

  std::string Ftdi::Context::Private::serial

Definition at line 61 of file ftdi.cpp.

Author

Generated automatically by Doxygen for libftdi1 from the source code.